import { EventEmitter, OnInit } from '@angular/core';
import { HttpClient } from '@angular/common/http';
export declare class NgUploadImageComponent implements OnInit {
    private http;
    selectedUrls: Array<String>;
    selectedFiles: Array<File>;
    uploadProgress: number;
    constructor(http: HttpClient);
    validTypes: Array<string>;
    maxUploadCount: number;
    preViewSize: number;
    apiUrl: string;
    onResponse: EventEmitter<any>;
    ngOnInit(): void;
    /** //////////  validate  \\\\\\\\\\ */
    /**
     * @property {Function} isValidType - validate developper  @Input()
     * @returns {void} - is valid or not.
     */
    isValidDevInput(): void;
    /**
     * @property {Function} isValidType - set valid image type
     * @param {type} - image type
     * @returns {boolean} - is valid or not.
     */
    isValidType(type: any): boolean;
    /**
     * @property {Function} isMaxUploadCount - set valid image type
     * @returns {boolean} - is valid or not.
     */
    isMaxUploadCount(): boolean;
    /** ////////// user events \\\\\\\\\\ */
    /**
     * @property {Function} onSelect - select image to upload list
     * @param {MouseEvent} - select event
     * @returns {void}
     */
    onSelect(event: MouseEvent): void;
    /**
     * @property {Function} onUpload - start upload to serve
     * @param {MouseEvent} - click event
     * @returns {void}
     */
    onUpload(event: MouseEvent): void;
    /**
     * @property {Function} onDismiss - dismiss image from select-to-upload
     * @param {MouseEvent} - click event
     * @returns {void}
     */
    onDismiss(event: MouseEvent): void;
    /**
     * @property {Function} onClear - clear the all images from select-to-upload
     * @returns {void}
     */
    onClear(): void;
    /** //////////  setters   \\\\\\\\\\ */
    /**
     * @property {Function} onDismiss - dismiss image from select-to-upload
     * @param {MouseEvent} - click event
     * @returns {void}
     */
    setUploadedImages(event: MouseEvent): void;
    /**
     * @property {Function} setUploadProgress - set upload progress
     * @param {number} - upload ratio count
     * @returns {void}
     */
    setUploadProgress(ratio: number): void;
    /**
     * @property {Function} setClearSelected - set pre view upload clear
     * @returns {void}
     */
    setClearSelected(): void;
    /**
     * @property {Function} setUploadResponse - send upload responce to parent component
     * @param {number} - upload ratio count
     * @returns {void} - no returns
     */
    setUploadResponse(response: object): void;
    /**
     * @property {Function} setError - set error throw for developper
     * @param {string} - error message
     * @returns {void}
     */
    setError(error: string): void;
}
